changeset 1144:319327a27998

Add cross-compiler.sh back. (If you rename a file and add an old one in the same commit, mercurial gets confused. Also, mercurial doesn't consider "this file was deleted" something worth showing in log -v, so figuring out what happened is an exercise in frustration. Obviously deleting a file is not an important part of its history...)
author Rob Landley <rob@landley.net>
date Sun, 27 Jun 2010 21:00:55 -0500
parents 94173723a272
children 690b2f4cbbd3
files cross-compiler.sh
diffstat 1 files changed, 27 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/cross-compiler.sh	Sun Jun 27 21:00:55 2010 -0500
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Build a more advanced cross compiler, including thread support and uClibc++,
+# built --with-shared (which produces libgcc_s.so), and statically linked
+# against uClibc on the host (for portability).
+
+# Building this requires two existing (simple) cross compilers: one for
+# the host (to build the executables) and one for the target (to build
+# the libraries).
+
+# This is a simple wrapper for native-compiler.sh, we re-use the canadian
+# cross infrastructure in there to build a very similar compiler.
+
+
+# Unless told otherwise, create statically linked i686 host binaries (which
+# should run on an x86-64 host just fine, even if it hasn't got 32-bit
+# libraries installed).
+
+HOST_ARCH="${CROSS_HOST_ARCH:-i686}" BUILD_STATIC=${BUILD_STATIC:-all} \
+  STAGE_NAME=cross-compiler ./native-compiler.sh "$1" || exit 1
+
+# Run the cross compiler smoke test if requested.
+
+if [ ! -z "$CROSS_SMOKE_TEST" ]
+then
+  sources/more/cross-smoke-test.sh "$ARCH" || exit 1
+fi